<!DOCTYPE html>
<html>
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
<body>
<header class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0 shadow">
  <a class="navbar-brand col-md-3 col-lg-2 me-0 px-3" href="#">COVID</a>
  <button class="navbar-toggler position-absolute d-md-none collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#sidebarMenu" aria-controls="sidebarMenu" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <input class="form-control form-control-dark w-100" type="text" placeholder="Search" aria-label="Search">
  <ul class="navbar-nav px-3">
    <li class="nav-item text-nowrap">
      <a class="nav-link" href="#">Search</a>
    </li>
  </ul>
</header>
<div class="container-fluid">
  <div class="row">
    <nav id="sidebarMenu" class="col-md-3 col-lg-2 d-md-block bg-light sidebar collapse">
      <div class="position-sticky pt-3">
        <ul class="nav flex-column">
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="#">
              <span data-feather="home"></span>
              Dashboard
            </a>
          </li>
          
          <li class="nav-item">
            <a class="nav-link" href="#">
              <span data-feather="layers"></span>
              Integrations
            </a>
          </li>
        </ul>

        
      </div>
    </nav>

    <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
      <h1> Dashboard </h1>
        <div class="table-responsive" >
		<table style="width:50%" class="table table-striped table-sm">
		<thead>
		  <tr>
		  <th>Nom</th>
		  <th>Date</th>
		  <th>Reanimation</th>
		  </tr>
		  </thead>
		  <tbody id="id01"></tbody>
		</table>
		</div>	  
	 </main>
	 
  </div>
</div>

<script>
var xmlhttp = new XMLHttpRequest();
var url = "https://coronavirusapi-france.now.sh/AllDataByDate?date=2021-04-19";

xmlhttp.onreadystatechange = function() {
  if (this.readyState == 4 && this.status == 200) {
    var myArr = JSON.parse(this.responseText);
    myFunction(myArr);
  }
};
xmlhttp.open("GET", url, true);
xmlhttp.send();

function myFunction(arr) {
  var out = "";
 
  var i;
  //alert(arr.allFranceDataByDate.length);
  for(i = 0; i < arr.allFranceDataByDate.length; i++) {
    out += '<tr>';
    out += '<td> ' + arr.allFranceDataByDate[i].nom + '</td>';
    out += '<td> ' + arr.allFranceDataByDate[i].date + '</td>';
    out += '<td> ' + arr.allFranceDataByDate[i].reanimation + '</td>';
    out += '</tr>';
    
  }
  
  document.getElementById("id01").innerHTML = out;
}
</script>

</body>
</html>
